Package ghidra.pcode.emu

# Enum Class PcodeEmulationCallbacks.NoPcodeEmulationCallbacks

java.lang.Object
java.lang.Enum<PcodeEmulationCallbacks.NoPcodeEmulationCallbacks>
ghidra.pcode.emu.PcodeEmulationCallbacks.NoPcodeEmulationCallbacks

All Implemented Interfaces:
  `PcodeEmulationCallbacks<Object>`, `Serializable`, `Comparable<PcodeEmulationCallbacks.NoPcodeEmulationCallbacks>`, `Constable`

Enclosing interface:
  `PcodeEmulationCallbacks<T>`

public static enum PcodeEmulationCallbacks.NoPcodeEmulationCallbacks extends Enum<PcodeEmulationCallbacks.NoPcodeEmulationCallbacks> implements PcodeEmulationCallbacks<Object>
A singleton implementation of the callbacks that does nothing.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface ghidra.pcode.emu.PcodeEmulationCallbacks

  `PcodeEmulationCallbacks.NoPcodeEmulationCallbacks, PcodeEmulationCallbacks.Wrapper<T>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`
  Callbacks that do nothing

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PcodeEmulationCallbacks.NoPcodeEmulationCallbacks`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PcodeEmulationCallbacks.NoPcodeEmulationCallbacks[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.pcode.emu.PcodeEmulationCallbacks

  `afterBranch, afterExecuteInject, afterExecuteInstruction, afterLoad, afterStepOp, afterStore, beforeDecodeInstruction, beforeExecuteInject, beforeExecuteInstruction, beforeLoad, beforeStepOp, beforeStore, dataWritten, dataWritten, delegateDataWritten, delegateDataWritten, delegateReadUninitialized, delegateReadUninitialized, emulatorCreated, getInject, handleMissingUserop, readUninitialized, readUninitialized, sharedStateCreated, threadCreated, wrapFor`

- ## Enum Constant Details

  - ### INSTANCE

    public static final PcodeEmulationCallbacks.NoPcodeEmulationCallbacks INSTANCE
    Callbacks that do nothing

- ## Method Details

  - ### values

    public static PcodeEmulationCallbacks.NoPcodeEmulationCallbacks[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PcodeEmulationCallbacks.NoPcodeEmulationCallbacks valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null